org.apache.commons.net.imap

## Class IMAPReply

- java.lang.Object
- - org.apache.commons.net.imap.IMAPReply

-     public final class IMAPReply
      extends Object

  Stores IMAP reply code constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BAD` The reply code indicating command rejection.
    `static int` | `CONT` The reply code indicating command continuation.
    `static int` | `NO` The reply code indicating failure of an operation.
    `static int` | `OK` The reply code indicating success of an operation.
    `static int` | `PARTIAL` The reply code indicating a partial response.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getReplyCode(String line)` Gets the String reply code - OK, NO, BAD - in a tagged response as an integer.
    `static int` | `getUntaggedReplyCode(String line)` Gets the String reply code - OK, NO, BAD - in an untagged response as an integer.
    `static boolean` | `isContinuation(int replyCode)` Tests whether the reply line is a continuation, i.e.
    `static boolean` | `isContinuation(String line)` Tests whether if the reply line is a continuation, i.e.
    `static boolean` | `isSuccess(int replyCode)` Tests whether whether the reply code indicates success or not
    `static boolean` | `isUntagged(String line)` Tests whether if the reply line is untagged - e.g.
    `static int` | `literalCount(String line)` Checks if the line introduces a literal, i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BAD

          public static final int BAD

      The reply code indicating command rejection.
      See Also:
        Constant Field Values

    - #### CONT

          public static final int CONT

      The reply code indicating command continuation.
      See Also:
        Constant Field Values

    - #### NO

          public static final int NO

      The reply code indicating failure of an operation.
      See Also:
        Constant Field Values

    - #### OK

          public static final int OK

      The reply code indicating success of an operation.
      See Also:
        Constant Field Values

    - #### PARTIAL

          public static final int PARTIAL

      The reply code indicating a partial response. This is used when a chunk listener is registered and the listener requests that the reply lines are cleared on return.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getReplyCode

          public static int getReplyCode(String line)
                                  throws IOException

      Gets the String reply code - OK, NO, BAD - in a tagged response as an integer.
      Parameters:
        `line` - the tagged line to be checked
      Returns:
        `OK` or `NO` or `BAD` or `CONT`
      Throws:
        `IOException` - if the input has an unexpected format

    - #### getUntaggedReplyCode

          public static int getUntaggedReplyCode(String line)
                                          throws IOException

      Gets the String reply code - OK, NO, BAD - in an untagged response as an integer.
      Parameters:
        `line` - the untagged line to be checked
      Returns:
        `OK` or `NO` or `BAD` or `CONT`
      Throws:
        `IOException` - if the input has an unexpected format

    - #### isContinuation

          public static boolean isContinuation(int replyCode)

      Tests whether the reply line is a continuation, i.e. starts with "+"
      Parameters:
        `replyCode` - the code to be checked
      Returns:
        `true` if the response was a continuation

    - #### isContinuation

          public static boolean isContinuation(String line)

      Tests whether if the reply line is a continuation, i.e. starts with "+"
      Parameters:
        `line` - the line to be checked
      Returns:
        `true` if the line is a continuation

    - #### isSuccess

          public static boolean isSuccess(int replyCode)

      Tests whether whether the reply code indicates success or not
      Parameters:
        `replyCode` - the code to check
      Returns:
        `true` if the code equals `OK`

    - #### isUntagged

          public static boolean isUntagged(String line)

      Tests whether if the reply line is untagged - e.g. "* OK ..."
      Parameters:
        `line` - to be checked
      Returns:
        `true` if the line is untagged

    - #### literalCount

          public static int literalCount(String line)

      Checks if the line introduces a literal, i.e. ends with {dd}
      Parameters:
        `line` - the line to check
      Returns:
        the literal count, or -1 if there was no literal.